require 'sketchup.rb'
require 'extensions.rb'
#-------------------------------------------------------------------------------
module TAK2HATA
module WEBGL_EXPORT
  ### CONSTANTS ### ------------------------------------------------------------
  # Plugin information
  PLUGIN          = self
  PLUGIN_ID       = 'T2H_WEBGL_EXPORT'
  PLUGIN_NAME     = 'T2H_WEBGL_EXPORT'
  PLUGIN_VERSION  = '0.8.0'
  
  # Resource paths
  FILENAMESPACE = File.basename( __FILE__, '.rb' )
  PATH_ROOT     = File.dirname( __FILE__ )
  PATH          = "t2h_export_webgl"

  ### EXTENSION ### ------------------------------------------------------------
  
  ##unless file_loaded?( __FILE__ )
    loader = File.join( PATH, 'export_webgl_main.rb' )
    @ex = SketchupExtension.new( PLUGIN_NAME, loader )
    @ex.description = "Exporter for webGL.(Based on SU2WEBGL by AKITENKOSI).
Modified by TAK2HATA in 2015.12.12.
General disclaimer
I MAKES NO GUARANTEE OF VALIDITY about this script.
Please use this script at your own risk.
秋天越様作のSU2WEBGLをもとにTAK2HATAが改変しております。
免責事項
このスクリプトによって如何なる損害が発生しても製作者は責任を負いません。各人の責任においてご使用ください。"
    @ex.version     = PLUGIN_VERSION
    @ex.copyright   = ''
    @ex.creator     = ''
    Sketchup.register_extension( @ex, true )
  ##end
end
end 
#-------------------------------------------------------------------------------

##file_loaded( __FILE__ )

#-------------------------------------------------------------------------------
file_loaded("t2h_export_webgl.rb")
